Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.io
Class Flushables

    java.lang.Object
      com.google.common.io.Flushables

    @Beta
    public final class Flushables

extends Object

Utility methods for working with `Flushable` objects.

Since:
  1.0
Author:
  Michael Lancaster

Method Summary
`static void` | `flush(Flushable flushable, boolean swallowIOException)` Flush a `Flushable`, with control over whether an `IOException` may be thrown.
`static void` | `flushQuietly(Flushable flushable)` Equivalent to calling `flush(flushable, true)`, but with no `IOException` in the signature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### flush

    public static void flush(Flushable flushable,
                             boolean swallowIOException)
                      throws IOException

  Flush a `Flushable`, with control over whether an `IOException` may be thrown.

  If `swallowIOException` is true, then we don't rethrow `IOException`, but merely log it.

  Parameters:
    `flushable` - the `Flushable` object to be flushed.
    `swallowIOException` - if true, don't propagate IO exceptions thrown by the `flush` method
  Throws:
    `IOException` - if `swallowIOException` is false and `Flushable.flush()` throws an `IOException`.
  See Also:
    `Closeables.close(java.io.Closeable, boolean)`

### flushQuietly

    public static void flushQuietly(Flushable flushable)

  Equivalent to calling `flush(flushable, true)`, but with no `IOException` in the signature.

  Parameters:
    `flushable` - the `Flushable` object to be flushed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.